// challenge-bot phase-2
// GNU AGPLv3 (or later at your option)
// project available at these locations:
// https://gitorious.org/ozzloy/challenge-bot
// https://github.com/waynegramlich/challenge-bot

// using
// https://github.com/josefprusa/Prusa3/blob/master/box_frame/x-carriage.scad
// as an example of how to code in scad

deck_dimensions = [8, 8, 3/16];

module deck(){
  cube(deck_dimensions);}

module wheel_mount(){
  difference(){
    cube([1.5, 2, 3/16]);
    // motor shaft and collar hole
    translate([0.5, 0.938, -1/16]) {
      cylinder(h = 5/16, r = 0.362/2, $fn = 100);}
    // nubbin hole
    translate([0.5 + 0.875 - 0.425, 0.938, -1/16]){
      cylinder(h = 5/16, r = 0.145/2, $fn = 100);}
    // mounting screw hole
    translate([0.5 + 1.213 - 0.425, 0.938 - 0.687/2, -1/16]){
      cylinder(h = 5/16, r = 0.114/2, $fn = 100);}
    translate([0.5 + 1.213 - 0.425, 0.938 + 0.687/2, -1/16]){
      cylinder(h = 5/16, r = 0.114/2, $fn = 100);}}}

module wheel(){
  cylinder(r = 2.75/2, h = 3/16, $fn = 100);}

color("blue") deck();
rotate([90, 0, 0]) translate([1.5, -2, 0]) wheel_mount();
rotate([90, 0, 0]) translate([1.5, -2, -(8+3/16)]) wheel_mount();
color("red") rotate([90, 0, 0]) translate([2, -(.938), 3/16]) wheel();
color("red") rotate([90, 0, 0]) translate([2, -(.938), -(8 + 3/8)]) wheel();
